SDL_GetGamepadTypeForID(3)

NAME
SDL_GetGamepadTypeForID - Get the type of a gamepad.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

SDL_GamepadType SDL_GetGamepadTypeForID(SDL_JoystickID instance_id);

DESCRIPTION
This can be called before any gamepads are opened.

FUNCTION PARAMETERS

instance_id
    the joystick instance ID.

RETURN VALUE
Returns the gamepad type.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetGamepadType(3), SDL_GetGamepads(3), SDL_GetRealGamepadTypeForID(3)